 // from karith, by jex
textures/station12/steam_s
{
    entityMergable
    cull none
    {
        map textures/station12/steam.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen        vertex
        alphaGen    vertex
    }
}

textures/station12/fog
{
    qer_editorimage textures/station12/fog_radiant.jpg
    surfaceparm    trans
    surfaceparm    nonsolid
    surfaceparm    fog
    surfaceparm    nolightmap
    qer_nocarve
    // fogparms ( <red> <green> <blue> ) <distance to opaque>
    fogparms ( 0.8 0.8 1.0 ) 2048
}

textures/station12/deathfog
{
    qer_editorimage textures/station12/fog_radiant.jpg
    surfaceparm    trans
    surfaceparm    nonsolid
    surfaceparm    fog
    surfaceparm    nolightmap
    qer_nocarve
    // fogparms ( <red> <green> <blue> ) <distance to opaque>
    fogparms ( 0.05 0.05 0.05 ) 768
}

textures/station12/lava_fx
{
    qer_editorimage textures/station12/fog_radiant.jpg
    surfaceparm    trans
    surfaceparm    nonsolid
    surfaceparm    fog
    surfaceparm    nolightmap
    surfaceparm    lava
    qer_nocarve
    // fogparms ( <red> <green> <blue> ) <distance to opaque>
    fogparms ( 0.8 0.15 0.0 ) 768
}

textures/station12/gascloud
{
    qer_editorimage textures/station12/fog_radiant.jpg
    surfaceparm    trans
    surfaceparm    nonsolid
    surfaceparm    fog
    surfaceparm    nolightmap
    surfaceparm    slime
    qer_nocarve
    // fogparms ( <red> <green> <blue> ) <distance to opaque>
    fogparms ( 0 0.4 0.15 ) 2048
}

textures/station12/black
{
    qer_editorimage textures/station12/black
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/station12/black
    }
}


// servers. thanks MaeJong
textures/station12/pk02_switches01b
{
    qer_editorImage     textures/station12/pk02_switches01b_C.tga
    q3map_lightimage    textures/station12/pk02_switches01b.blend.tga
    q3map_surfacelight  250
    q3map_lightRGB      0 0.85 1.0
    surfaceparm         nomarks
    
    {
        map textures/station12/pk02_switches01b_C.tga
        rgbGen vertex
    }    
    {
        map textures/station12/pk02_switches01b.blend.tga
        blendfunc add
    }
}

textures/station12/pk02_switches01c
{
    qer_editorImage     textures/station12/pk02_switches01c_C.tga
    q3map_lightimage    textures/station12/pk02_switches01c.blend.tga
    q3map_surfacelight  250
    q3map_lightRGB      0 0.85 1.0
    surfaceparm         nomarks
    
    {
        map textures/station12/pk02_switches01c_C.tga
        rgbGen vertex
    }    
    {
        map textures/station12/pk02_switches01c.blend.tga
        blendfunc add
    }
}

textures/station12/es_cubelight_32_green_7500
{
    surfaceparm nomarks
    q3map_surfacelight 7500
    q3map_lightimage textures/station12/es_cubelight_32_green.blend.jpg
    qer_editorimage textures/station12/es_cubelight_32_green.jpg
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/station12/es_cubelight_32_green.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/station12/es_cubelight_32_green.blend.jpg
        blendfunc GL_ONE GL_ONE
    }
}

textures/station12/es_cubelight_32_orange_7500
{
    surfaceparm nomarks
    q3map_surfacelight 7500
    q3map_lightimage textures/station12/es_cubelight_32_orange.blend.jpg
    qer_editorimage textures/station12/es_cubelight_32_orange.jpg
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/station12/es_cubelight_32_orange.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/station12/es_cubelight_32_orange.blend.jpg
        blendfunc GL_ONE GL_ONE
    }
}

textures/station12/force_field
    {
    qer_editorimage textures/station12/force_field.jpg
    surfaceparm trans    
    surfaceparm nomarks    
    surfaceparm nolightmap
    cull none
    {
        map textures/station12/force_field.jpg
        tcMod Scroll .1 0
        blendFunc add
    }
    {
        map textures/station12/force_grid.jpg
        tcMod Scroll -1 0
        blendFunc add
        rgbgen wave sin .2 .2 0 .4
    }
}

textures/station12/water
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/station12/water.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/station12/water.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

textures/station12/greenrock
{
    //set _style##rgbGen on world to have the same effect as the wave func
    q3map_lightStyle 4
    
    qer_editorimage textures/station12/lght_rockbase.tga
    surfaceparm nomarks
    q3map_surfacelight 5000
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/station12/lght_rockbase.tga
        blendFunc filter
        rgbGen identity
    }



    {
        map textures/station12/lght_rockbase.tga
        blendFunc add
        
        
        rgbGen wave sin .5 .4 0 .5
        //rgbGen wave func base amplitude phase freq
        //tcmod scroll .1 .01
        //tcMod turb 0 0.2 0 0.10
    }
    
    {
        map textures/station12/cave_rock_dark.tga
        
        tcGen environment
        //blendfunc GL_ONE GL_ONE
        //same as
        //blendfunc add
        blendfunc add
    }
    {
        map textures/station12/ef_ef05.tga
        blendfunc filter
        tcMod turb 0 1 0 0.10
    }
}

textures/station12/slime
    {
        qer_editorimage textures/station12/slime7.tga
        q3map_lightimage textures/station12/slime7.tga
        q3map_globaltexture

        surfaceparm noimpact
        surfaceparm slime
        surfaceparm nolightmap
        surfaceparm trans        

        q3map_surfacelight 100
        tessSize 32
        cull disable

        deformVertexes wave 100 sin 0 1 .5 .5

        {
            map textures/station12/slime7c.tga
            rgbGen const ( 0.5 0.5 0.5 )            
            blendfunc add
            tcMod turb .3 .2 1 .05
            tcMod scroll .01 .01
        }
    
        {
            map textures/station12/slime7.tga
            rgbGen const ( 0.75 0.75 0.75 )            
            blendfunc add
            tcMod turb .2 .1 1 .05
            tcMod scale .5 .5
            tcMod scroll .02 .01
        }
}

textures/station12/lava
{
  qer_editorimage textures/station12/lava.png
  qer_trans .5
  q3map_lightimage textures/station12/lava.png
  q3map_globaltexture

  surfaceparm noimpact
  surfaceparm lava
  surfaceparm nolightmap
  surfaceparm nobuildsurface
  surfaceparm nobuild

  //q3map_surfacelight 50
  //tessSize 32
  cull disable

  //deformVertexes wave 200 sin 0 1 .5 .5

  {
    map textures/station12/lava.jpg
    rgbGen const ( 0.6 0.6 0.6 )			
    //blendfunc add
    tcMod turb .3 .2 1 .05
    tcMod scroll .01 .02
  }

  {
    map textures/station12/lava.jpg
    rgbGen const ( 0.9 0.9 0.9  )			
    //blendfunc add
    tcMod turb .2 .1 1 .05
    tcMod scale .5 .5
    tcMod scroll .02 .01
  }
}

textures/station12/stasis3
{
    qer_editorimage textures/station12/stasis3a.png
    {
        animmap 0.1 textures/station12/stasis3a.png textures/station12/stasis3b.png textures/station12/stasis3c.png
    }
}

textures/station12/noise
{
    qer_editorimage textures/station12/noise1.png
    {
        animmap 20 textures/station12/noise1.png textures/station12/noise2.png textures/station12/noise3.png textures/station12/noise4.png textures/station12/noise5.png
    }
}

textures/station12/game
{
    qer_editorimage textures/station12/game1.jpg
    {
        animmap 1 textures/station12/game1.jpg textures/station12/game2.jpg textures/station12/game3.jpg textures/station12/game4.jpg textures/station12/game5.jpg textures/station12/game6.jpg textures/station12/game7.jpg textures/station12/game8.jpg
    }
}

